@font-face {
    font-family: 'Mirra';
    src: url('/fonts/mirra.woff2')
    format('woff2'),
    url('/fonts/mirra.woff')
    format('woff');
    font-style: normal;
    font-weight: 400;
    font-display: block;
}

html,
body {
    background-color: #00112f;
}

body {
    margin: 0;
}

.app-preloader,
.app-preloader__background,
.app-preloader__content {
    width: 100%;
    height: 100%;
}

.app-preloader {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    font-family: 'Mirra', serif;
    font-size: 120px;
    color: white;
    pointer-events: none;
}

.app-preloader__background {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #00112f;
    will-change: opacity;
}

.app-preloader__content {
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    will-change: transform, opacity;
    opacity: 0;
    transform: translateY(75px);
    animation: preloader-appear 0.85s ease-out 0.15s forwards;
}

@keyframes preloader-appear {
    from {
        opacity: 0;
        transform: translateY(75px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
    }
}

@media (max-width: 767px) {
    .app-preloader {
        font-size: 72px;
    }
}
